{
    attributes = (
        {
            allowsNull = Y; 
            columnName = FGRA_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fgraAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = FGRA_CODAGE; 
            externalType = VARCHAR2; 
            name = fgraCodage; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = FGRA_CODE; 
            externalType = VARCHAR2; 
            name = fgraCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = FGRA_LIBELLE; 
            externalType = VARCHAR2; 
            name = fgraLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FGRA_VALIDITE; 
            externalType = VARCHAR2; 
            name = fgraValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (fgraCode); 
    className = EOGenericRecord; 
    classProperties = (fgraCode, fgraLibelle, fgraAbreviation, fgraValidite, fgraCodage); 
    externalName = SCOL_FORMATION_GRADE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationGrade; 
    primaryKeyAttributes = (fgraCode); 
}
